<?php

namespace MDV\ForumModerators\XF\Pub\Controller;

use XF\Mvc\ParameterBag;

class Forum extends XFCP_Forum
{
    public function actionForum(ParameterBag $params)
    {

        $parent = parent::actionForum($params);
        $node_id = $params->node_id;
        
        if (in_array($node_id, \XF::options()->mdv_fm_exclude_forums))
        {
            return $parent;
        }

        $query = \XF::finder('XF:ModeratorContent')
            ->where([
                'content_type' => 'node',
                'content_id' => $node_id
            ])
            ->where(
                'user_id', '<>', \XF::options()->mdv_fm_exclude_users
            )
            ->fetch();

        
        
        $parent->setParams([
            'moderators' => $query
        ]);

        return $parent;
    }
}